@import '../../styles/variables'
@import '../../styles/mixins'

.splash
    width 100%
    min-height 300vh

    background-position 50% 50%
    background-repeat no-repeat
    background-size cover

    &__inner
        display flex
        flex-direction column
        justify-content center
        align-items center
        text-align center
        background-color $cl--bg
        pos-r()

    &__logo
        width 50%
        +above(4)
            width 70%

    &__title
        flex-direction column
        margin-top $sp
        width 100%

        h1
        h2
            text-transform uppercase
            margin 0 auto
            color white

        h1
            font-size $fz--base * $ratio ** 2
            +above(2)
                font-size $fz--base * $ratio ** 3
            +above(3)
                font-size $fz--base * $ratio ** 4

        h2
            line-height $lh--heading
            font-family $ff--body
            font-weight normal
            font-size $fz--base * $ratio
            +above(2)
                font-size $fz--base * $ratio ** 2
            +above(3)
                font-size $fz--base * $ratio ** 3
